[arch-commits] Commit in python-pg8000/repos (2 files)
Evangelos Foutras
foutrelis at archlinux.org
Mon Nov 9 17:05:56 UTC 2020
Date: Monday, November 9, 2020 @ 17:05:55
Author: foutrelis
Revision: 747750
archrelease: copy trunk to community-staging-any
Added:
python-pg8000/repos/community-staging-any/
python-pg8000/repos/community-staging-any/PKGBUILD
(from rev 747749, python-pg8000/trunk/PKGBUILD)
----------+
PKGBUILD | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 53 insertions(+)
Copied: python-pg8000/repos/community-staging-any/PKGBUILD (from rev 747749, python-pg8000/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD (rev 0)
+++ community-staging-any/PKGBUILD 2020-11-09 17:05:55 UTC (rev 747750)
@@ -0,0 +1,53 @@
+# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
+# Contributor: quomoow <quomoow at gmail.com>
+
+pkgname=python-pg8000
+pkgver=1.16.6
+pkgrel=2
+pkgdesc="Pure-Python PostgreSQL database driver, DB-API compatible"
+arch=(any)
+url='https://github.com/tlocke/pg8000'
+license=(BSD)
+makedepends=(python-setuptools)
+checkdepends=(python-pytest python-pytest-mock python-pytest-benchmark
+ python-pytz pifpaf postgresql)
+depends=(python python-scramp)
+source=("https://files.pythonhosted.org/packages/source/p/pg8000/pg8000-$pkgver.tar.gz"{,.asc})
+sha256sums=('8fc1e6a62ccb7c9830f1e7e9288e2d20eaf373cc8875b5c55b7d5d9b7717be91'
+ 'SKIP')
+validpgpkeys=(
+ 'D5681B7EC7292511C4CC1450892B00AB699851E8' # Tony Locke <tlocke at tlocke.org.uk>, proven by https://keybase.io/tlocke
+)
+
+prepare() {
+ cd pg8000-$pkgver
+
+ # Remove upper bounds of dependencies
+ sed --in-place=.orig -r 's#,?<[0-9.]+,?##;s#==([0-9.]+)#>=\1#' setup.py
+ diff -u setup.py{.orig,} || true
+}
+
+build() {
+ cd pg8000-$pkgver
+ python setup.py build
+}
+
+check() {
+ cd pg8000-$pkgver
+ # See upstream .travis.yml for initialization SQL commands
+ # XXX: The postgres plugin in pifpaf does not listen on a TCP port
+ # without --host
+ # XXX: testGss and testSsl needs custom pg_hba.conf and postgresql.conf,
+ # and pifpaf does not support that yet
+ PYTHONPATH="$PWD" pifpaf run postgresql --host localhost -- bash -c "
+ psql -c \"CREATE ROLE postgres WITH LOGIN SUPERUSER PASSWORD 'pw';\"
+ psql -c \"create extension hstore;\"
+ pytest -v test -k 'not testGss and not testSsl'
+ "
+}
+
+package() {
+ cd pg8000-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1 --skip-build
+ install -Dm644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname
+}
More information about the arch-commits
mailing list